## org.hibernate.metamodel.source.annotations.xml.mocker
Class EntityMappingsMocker

    java.lang.Object
      org.hibernate.metamodel.source.annotations.xml.mocker.EntityMappingsMocker

    public class EntityMappingsMocker

extends Object

Parse all `JaxbEntityMappings` generated from orm.xml.

Nested Class Summary
`static class` `EntityMappingsMocker.Default`

Constructor Summary
`EntityMappingsMocker(List<JaxbEntityMappings> entityMappingsList, org.jboss.jandex.Index index, ServiceRegistry serviceRegistry)`

Method Summary
`org.jboss.jandex.Index` `mockNewIndex()` Create new `Index` with mocking JPA annotations from `JaxbEntityMappings` and merge them with existing `Index`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityMappingsMocker

    public EntityMappingsMocker(List<JaxbEntityMappings> entityMappingsList,
                                org.jboss.jandex.Index index,
                                ServiceRegistry serviceRegistry)

Method Detail

### mockNewIndex

    public org.jboss.jandex.Index mockNewIndex()

  Create new `Index` with mocking JPA annotations from `JaxbEntityMappings` and merge them with existing `Index`

  Returns:
    new `Index`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.